Subject: Re: [PATCH] revision: --include-diversions adds helpful merges

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Apr 2020 17:08:42 -0700

Derrick Stolee <[email-masked]> writes:

>>> In my latest attempt at documentation, I called these merges "diverters"
>>> yet still used "--include-diversions". Here are a few other words that we
>>> could use:
>>>
>>>  * diverters or diversions
>>>  * redirects
>>>  * switches (think railroad switch). Synonym: exchange
>>>  * detours
>> 
>> ...none of the above tells me that they are not no-op (in other
>> words, they do something meaningful), so I must be coming from
>> a direction different from you are.  What redirects from what other
>> thing, for example?
>
> The merges do something meaningful: they "merge in" a "real" change.

Yes, but "redirect", "switch", "detour", or "divert" do not quite
mean "merging in a real change", at least to me.

> I'll just submit my v2 as-is, which includes a significant change to
> the documentation that should make things more clear.

Thanks.